ImageMagick -- PSD handler heap overflow vulnerability

2004-12-21T00:00:00
ID 597E2BEE-68EA-11D9-A9E7-0001020EED82
Type freebsd
Reporter FreeBSD
Modified 2004-12-21T00:00:00

Description

An iDEFENSE Security Advisory reports:

Remote exploitation of a buffer overflow vulnerability in The ImageMagick's Project's ImageMagick PSD image-decoding module could allow an attacker to execute arbitrary code. Exploitation may allow attackers to run arbitrary code on a victim's computer if the victim opens a specially formatted image. Such images could be delivered by e-mail or HTML, in some cases, and would likely not raise suspicion on the victim's part. Exploitation is also possible when a web-based application uses ImageMagick to process user-uploaded image files.